Zainstalowałem wykres sterowy z podsumentami i chcę dowiedzieć się, która wersja podręcy jest zainstalowana. Czy jest jakiś możliwy sposób w Helm 3?

3
Darshil Shah 18 marzec 2020, 14:09

1 odpowiedź

Najlepsza odpowiedź

Po oficjalnej dokumentacji HELM:

Możesz uzyskać wersję podusznika używanego przez wykres, poniżał poniżej Przykład :

  • Pobierz wykres z $ helm pull repo/name --untar
  • Przejdź do katalogu wykresów
  • Komenda Invoke: $ helm dependency list

Możesz uzyskać wiadomość, że nie ma zależności:

WARNING: no dependencies at gce-ingress/charts

Możesz także uzyskać wiadomość z zależnościami i ich wersjami:

NAME                VERSION REPOSITORY                                        STATUS
kube-state-metrics  2.7.*  https://kubernetes-charts.storage.googleapis.com/  unpacked

Dodatkowo możesz sprawdzić zawartość prometheus/charts/kube-state-metrics/Chart.yaml, aby uzyskać dodatkowe informacje.

Daj mi znać, jeśli ci to pomogło.

4
Dawid Kruk 19 marzec 2020, 15:16